/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#ifndef __AIR_MEDIAHUB_LOCMGR_H__
#define __AIR_MEDIAHUB_LOCMGR_H__

struct locmgr;

struct locmgr *locmgr_create(void);
void locmgr_destroy(struct locmgr *m);

bool locmgr_set_location(struct locmgr *m, app_media *am);
bool locmgr_set_locations(struct locmgr *m, Eina_List *list);

#endif
